
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-MCP
Summary:		MCP LADSPA plugins
Version:		0.4.0
Release:		0.pm.2.3
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
Source:			http://www.kokkinizita.net/linuxaudio/downloads/MCP-plugins-%{version}.tar.bz2
URL:			http://www.kokkinizita.net/linuxaudio/ladspa/index.html
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	ladspa

%description
MCP LADSPA plugins.

See the README for more.



%prep
%setup -q -n MCP-plugins-%{version}

%{__perl} -p -i -e "s|/usr/lib/ladspa|\\$\(DESTDIR\)%{_libdir}/ladspa|g" \
	Makefile

# use the system version of ladspa.h
%__rm ladspa.h

%build
%__make %{?jobs:-j%{jobs}} \
	CXXFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC"

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%makeinstall

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*

%changelog
* Sat Apr 12 2008 Toni Graffy <toni@links2linux.de> - 0.4.0-0.pm.1
- update to 0.4.0
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 0.3.0-0.pm.1
- splitt-off from ladspa package
